summaryrefslogtreecommitdiffstats
path: root/kde/kdebase
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2014-12-22 14:56:40 +0100
committer Eric Hameleers <alien@slackware.com>2014-12-22 14:56:40 +0100
commit290362d91d840ad6feed5b59191a058f5e998d3c (patch)
tree0627e989dab744a67ee2b8a073964c1c5c5b66b9 /kde/kdebase
downloadktown-4.6.5.tar.gz
ktown-4.6.5.tar.xz
KDE 4.6.5 for Slackware 13.37 (07jul2011)4.6.5
Diffstat (limited to '')
-rw-r--r--kde/kdebase-runtime/doinst.sh.gzbin0 -> 118 bytes
-rwxr-xr-xkde/kdebase-runtime/kdebase-runtime.SlackBuild94
-rw-r--r--kde/kdebase-runtime/slack-desc18
-rw-r--r--kde/kdebase-workspace/config/Xsession88
-rw-r--r--kde/kdebase-workspace/config/Xsession.orig65
-rw-r--r--kde/kdebase-workspace/doinst.sh.gzbin0 -> 361 bytes
-rwxr-xr-xkde/kdebase-workspace/kdebase-workspace.SlackBuild131
-rw-r--r--kde/kdebase-workspace/kdebase-workspace.kdm.server.timeout.diff.gzbin0 -> 247 bytes
-rw-r--r--kde/kdebase-workspace/slack-desc12
-rwxr-xr-xkde/kdebase-workspace/xinit/xinitrc.kde32
-rw-r--r--kde/kdebase/config/kdeglobals4
-rw-r--r--kde/kdebase/doinst.sh.gzbin0 -> 124 bytes
-rwxr-xr-xkde/kdebase/kdebase.SlackBuild112
-rwxr-xr-xkde/kdebase/profile.d/kde.csh12
-rwxr-xr-xkde/kdebase/profile.d/kde.sh13
-rw-r--r--kde/kdebase/slack-desc19
16 files changed, 600 insertions, 0 deletions
diff --git a/kde/kdebase-runtime/doinst.sh.gz b/kde/kdebase-runtime/doinst.sh.gz
new file mode 100644
index 0000000..7b7d876
--- /dev/null
+++ b/kde/kdebase-runtime/doinst.sh.gz
Binary files differ
diff --git a/kde/kdebase-runtime/kdebase-runtime.SlackBuild b/kde/kdebase-runtime/kdebase-runtime.SlackBuild
new file mode 100755
index 0000000..0b2cddc
--- /dev/null
+++ b/kde/kdebase-runtime/kdebase-runtime.SlackBuild
@@ -0,0 +1,94 @@
+#!/bin/sh
+
+# Copyright 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-kdebase-runtime
+
+# Set the config option variables if they are not already set:
+if [ -r ../KDE.options ]; then
+ . ../KDE.options
+fi
+
+# The global options may be overridden here (if needed):
+if [ -r ./local.options ]; then
+ . ./local.options
+fi
+
+# Avoid a version number in .la files:
+if [ -d /usr/lib${LIBDIRSUFFIX}/qt ]; then
+ QTDIR=/usr/lib${LIBDIRSUFFIX}/qt
+fi
+
+rm -rf $PKG
+mkdir -p $PKG/usr
+cd $TMP
+echo "Building kdebase-runtime-$VERSION..."
+tar xvf $CWD/../src/kdebase-runtime-$VERSION.tar.?z* || exit 1
+cd kdebase-runtime-$VERSION
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ $KDE_OPT_ARGS \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_BUILD_TYPE=Release \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DMAN_INSTALL_DIR=/usr/man \
+ -DSYSCONF_INSTALL_DIR=/etc/kde \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ ..
+ make $NUMJOBS || exit 1
+ make install DESTDIR=$PKG || exit 1
+cd -
+
+# Create a symlink in /usr/bin to the kdesu binary
+( cd $PKG/usr/bin ; ln -s /usr/lib${LIBDIRSUFFIX}/kde4/libexec/kdesu . )
+
+# Remove the hicolor icon theme index.theme so it doesn't clobber the real one
+rm -f $PKG/usr/share/icons/hicolor/index.theme
+
+if [ -d $PKG/usr/man ]; then
+ gzip -9 $PKG/usr/man/man?/*
+fi
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/kdebase-runtime-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/kde/kdebase-runtime/slack-desc b/kde/kdebase-runtime/slack-desc
new file mode 100644
index 0000000..09bf577
--- /dev/null
+++ b/kde/kdebase-runtime/slack-desc
@@ -0,0 +1,18 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+ |-----handy-ruler------------------------------------------------------|
+kdebase-runtime: kdebase-runtime (KDE runtime core)
+kdebase-runtime:
+kdebase-runtime: This package contains core components of the KDE base runtime module.
+kdebase-runtime:
+kdebase-runtime:
+kdebase-runtime:
+kdebase-runtime:
+kdebase-runtime:
+kdebase-runtime:
+kdebase-runtime:
+kdebase-runtime:
diff --git a/kde/kdebase-workspace/config/Xsession b/kde/kdebase-workspace/config/Xsession
new file mode 100644
index 0000000..736f5d5
--- /dev/null
+++ b/kde/kdebase-workspace/config/Xsession
@@ -0,0 +1,88 @@
+#! /bin/sh
+# Xsession - run as user
+
+# Merged in parts of the old Xsession to load defaults from
+# Xresources and Xmodmap files, 2006-02-09 volkerdi
+# Merged with the new Xsession (original) from KDE4, 20071220 rworkman
+
+ session=$1
+
+# This section is borrowed from the old X11 Xsession file:
+userresources=$HOME/.Xresources
+usermodmap=$HOME/.Xmodmap
+sysresources=/usr/lib/X11/xinit/.Xresources
+sysmodmap=/usr/lib/X11/xinit/.Xmodmap
+# merge in defaults and keymaps
+if [ -r $sysresources ]; then
+ /usr/bin/xrdb -merge $sysresources
+fi
+if [ -r $sysmodmap ]; then
+ /usr/bin/xmodmap $sysmodmap
+fi
+if [ -r $userresources ]; then
+ /usr/bin/xrdb -merge $userresources
+fi
+if [ -r $usermodmap ]; then
+ /usr/bin/xmodmap $usermodmap
+fi
+
+# Note that the respective logout scripts are not sourced.
+case $SHELL in
+ */bash)
+ [ -z "$BASH" ] && exec $SHELL $0 "$@"
+ set +o posix
+ [ -f /etc/profile ] && . /etc/profile
+ if [ -f $HOME/.bash_profile ]; then
+ . $HOME/.bash_profile
+ elif [ -f $HOME/.bash_login ]; then
+ . $HOME/.bash_login
+ elif [ -f $HOME/.profile ]; then
+ . $HOME/.profile
+ fi
+ ;;
+ */zsh)
+ [ -z "$ZSH_NAME" ] && exec $SHELL $0 "$@"
+ emulate -R zsh
+ [ -d /etc/zsh ] && zdir=/etc/zsh || zdir=/etc
+ zhome=${ZDOTDIR:-$HOME}
+ # zshenv is always sourced automatically.
+ [ -f $zdir/zprofile ] && . $zdir/zprofile
+ [ -f $zhome/.zprofile ] && . $zhome/.zprofile
+ [ -f $zdir/zlogin ] && . $zdir/zlogin
+ [ -f $zhome/.zlogin ] && . $zhome/.zlogin
+ ;;
+ */csh|*/tcsh)
+ # [t]cshrc is always sourced automatically.
+ # Note that sourcing csh.login after .cshrc is non-standard.
+ xsess_tmp=`mktemp /tmp/xsess-env-XXXXXX`
+ $SHELL -c "if (-f /etc/csh.login) source /etc/csh.login; if (-f ~/.login) source ~/.login; /bin/sh -c export -p >! $xsess_tmp"
+ . $xsess_tmp
+ rm -f $xsess_tmp
+ ;;
+ *) # Plain sh, ksh, and anything we do not know.
+ [ -f /etc/profile ] && . /etc/profile
+ [ -f $HOME/.profile ] && . $HOME/.profile
+ ;;
+esac
+
+[ -f /etc/xprofile ] && . /etc/xprofile
+[ -f $HOME/.xprofile ] && . $HOME/.xprofile
+
+case $session in
+ "")
+ exec xmessage -center -buttons OK:0 -default OK "Sorry, $DESKTOP_SESSION is no valid session."
+ ;;
+ failsafe)
+ exec xterm -geometry 80x24-0-0
+ ;;
+ custom)
+ exec $HOME/.xsession
+ ;;
+ default)
+ exec /usr/bin/startkde
+ ;;
+ *)
+ eval exec "$session"
+ ;;
+esac
+exec xmessage -center -buttons OK:0 -default OK "Sorry, cannot execute $session. Check $DESKTOP_SESSION.desktop."
diff --git a/kde/kdebase-workspace/config/Xsession.orig b/kde/kdebase-workspace/config/Xsession.orig
new file mode 100644
index 0000000..43d78b8
--- /dev/null
+++ b/kde/kdebase-workspace/config/Xsession.orig
@@ -0,0 +1,65 @@
+#! /bin/sh
+# Xsession - run as user
+
+session=$1
+
+# Note that the respective logout scripts are not sourced.
+case $SHELL in
+ */bash)
+ [ -z "$BASH" ] && exec $SHELL $0 "$@"
+ set +o posix
+ [ -f /etc/profile ] && . /etc/profile
+ if [ -f $HOME/.bash_profile ]; then
+ . $HOME/.bash_profile
+ elif [ -f $HOME/.bash_login ]; then
+ . $HOME/.bash_login
+ elif [ -f $HOME/.profile ]; then
+ . $HOME/.profile
+ fi
+ ;;
+ */zsh)
+ [ -z "$ZSH_NAME" ] && exec $SHELL $0 "$@"
+ emulate -R zsh
+ [ -d /etc/zsh ] && zdir=/etc/zsh || zdir=/etc
+ zhome=${ZDOTDIR:-$HOME}
+ # zshenv is always sourced automatically.
+ [ -f $zdir/zprofile ] && . $zdir/zprofile
+ [ -f $zhome/.zprofile ] && . $zhome/.zprofile
+ [ -f $zdir/zlogin ] && . $zdir/zlogin
+ [ -f $zhome/.zlogin ] && . $zhome/.zlogin
+ ;;
+ */csh|*/tcsh)
+ # [t]cshrc is always sourced automatically.
+ # Note that sourcing csh.login after .cshrc is non-standard.
+ xsess_tmp=`mktemp /tmp/xsess-env-XXXXXX`
+ $SHELL -c "if (-f /etc/csh.login) source /etc/csh.login; if (-f ~/.login) source ~/.login; /bin/sh -c export -p >! $xsess_tmp"
+ . $xsess_tmp
+ rm -f $xsess_tmp
+ ;;
+ *) # Plain sh, ksh, and anything we do not know.
+ [ -f /etc/profile ] && . /etc/profile
+ [ -f $HOME/.profile ] && . $HOME/.profile
+ ;;
+esac
+
+[ -f /etc/xprofile ] && . /etc/xprofile
+[ -f $HOME/.xprofile ] && . $HOME/.xprofile
+
+case $session in
+ "")
+ exec xmessage -center -buttons OK:0 -default OK "Sorry, $DESKTOP_SESSION is no valid session."
+ ;;
+ failsafe)
+ exec xterm -geometry 80x24-0-0
+ ;;
+ custom)
+ exec $HOME/.xsession
+ ;;
+ default)
+ exec /usr/bin/startkde
+ ;;
+ *)
+ eval exec "$session"
+ ;;
+esac
+exec xmessage -center -buttons OK:0 -default OK "Sorry, cannot execute $session. Check $DESKTOP_SESSION.desktop."
diff --git a/kde/kdebase-workspace/doinst.sh.gz b/kde/kdebase-workspace/doinst.sh.gz
new file mode 100644
index 0000000..f872488
--- /dev/null
+++ b/kde/kdebase-workspace/doinst.sh.gz
Binary files differ
diff --git a/kde/kdebase-workspace/kdebase-workspace.SlackBuild b/kde/kdebase-workspace/kdebase-workspace.SlackBuild
new file mode 100755
index 0000000..d8cb6d5
--- /dev/null
+++ b/kde/kdebase-workspace/kdebase-workspace.SlackBuild
@@ -0,0 +1,131 @@
+#!/bin/sh
+
+# Copyright 2009, 2010, 2011 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-kdebase-workspace
+
+# Set the config option variables if they are not already set:
+if [ -r ../KDE.options ]; then
+ . ../KDE.options
+fi
+
+# The global options may be overridden here (if needed):
+if [ -r ./local.options ]; then
+ . ./local.options
+fi
+
+# Avoid a version number in .la files:
+if [ -d /usr/lib${LIBDIRSUFFIX}/qt ]; then
+ QTDIR=/usr/lib${LIBDIRSUFFIX}/qt
+fi
+
+rm -rf $PKG
+mkdir -p $PKG/usr
+cd $TMP
+echo "Building kdebase-workspace-$VERSION..."
+tar xvf $CWD/../src/kdebase-workspace-$VERSION.tar.?z* || exit 1
+cd kdebase-workspace-$VERSION
+
+# Patch for the shutdown issue with KDE 4.6.2 (in Linux, only "halt"
+# understands the '-p' parameter):
+sed -i -e 's/shutdown -p now/shutdown -h -P now/' kdm/config.def
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Increase the timeout to accomodate slow-to-initialize video chipset drivers:
+zcat $CWD/kdebase-workspace.kdm.server.timeout.diff.gz | patch -p1 --verbose || exit 1
+
+mkdir -p build
+cd build
+ cmake \
+ $KDE_OPT_ARGS \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_BUILD_TYPE=Release \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DMAN_INSTALL_DIR=/usr/man \
+ -DSYSCONF_INSTALL_DIR=/etc/kde \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ ..
+ make $NUMJOBS || exit 1
+ make install DESTDIR=$PKG || exit 1
+cd -
+
+if [ -d $PKG/usr/man ]; then
+ gzip -9 $PKG/usr/man/man?/*
+fi
+
+# Use ck-launch-session in runlevel 3,
+# to start and attach a ConsoleKit session to the X session:
+mkdir -p $PKG/etc/X11/xinit
+cat $CWD/xinit/xinitrc.kde > $PKG/etc/X11/xinit/xinitrc.kde
+chmod 0755 $PKG/etc/X11/xinit/xinitrc.kde
+
+# Setup config files for KDM:
+$PKG/usr/bin/genkdmconf --no-old --no-old-scripts --no-backup --in $PKG/usr/share/config/kdm
+
+# Not allowing root to login at the console is just plain silly. If they
+# have physical access to the machine, what's the point of trying to stop
+# this? Even the kdmrc file says this is supposed to be the default.
+sed -i 's/AllowRootLogin=false/AllowRootLogin=true/' \
+ $PKG/usr/share/config/kdm/kdmrc
+# We are also not ready to create a separate 'kdm' non-root user:
+sed -i 's/GreeterUID=kdm/#&/' \
+ $PKG/usr/share/config/kdm/kdmrc
+mv $PKG/usr/share/config/kdm/kdmrc $PKG/usr/share/config/kdm/kdmrc.new
+
+cp -a $PKG/usr/share/config/kdm/Xsession $PKG/usr/share/config/kdm/Xsession.orig
+cat $CWD/config/Xsession | sed -e "s#/lib#/lib${LIBDIRSUFFIX}#" \
+ > $PKG/usr/share/config/kdm/Xsession
+mv $PKG/usr/share/config/kdm/backgroundrc $PKG/usr/share/config/kdm/backgroundrc.new
+
+# Move the KDM files someplace FHS compliant:
+mkdir -p $PKG/etc/kde
+mv $PKG/usr/share/config/kdm $PKG/etc/kde
+( cd $PKG/usr/share/config ; ln -sf ../../../etc/kde/kdm . )
+
+# Move the polkit dbus configuration files to the proper place:
+mv $PKG/etc/kde/dbus-1 $PKG/etc/
+
+# This is fubar:
+rm -f $PKG/usr/share/icons/hicolor/index.theme
+
+mkdir -p $PKG/usr/doc/kdebase-workspace-$VERSION
+cp -a COPYING* README $PKG/usr/doc/kdebase-workspace-$VERSION
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/kdebase-workspace-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/kde/kdebase-workspace/kdebase-workspace.kdm.server.timeout.diff.gz b/kde/kdebase-workspace/kdebase-workspace.kdm.server.timeout.diff.gz
new file mode 100644
index 0000000..a9c2bae
--- /dev/null
+++ b/kde/kdebase-workspace/kdebase-workspace.kdm.server.timeout.diff.gz
Binary files differ
diff --git a/kde/kdebase-workspace/slack-desc b/kde/kdebase-workspace/slack-desc
new file mode 100644
index 0000000..87f2c41
--- /dev/null
+++ b/kde/kdebase-workspace/slack-desc
@@ -0,0 +1,12 @@
+ |-----handy-ruler------------------------------------------------------|
+kdebase-workspace: kdebase-workspace (KDE Plasma Desktop)
+kdebase-workspace:
+kdebase-workspace: This package provides the essential parts of the KDE Plasma Desktop
+kdebase-workspace: that are presented to the user.
+kdebase-workspace:
+kdebase-workspace:
+kdebase-workspace:
+kdebase-workspace:
+kdebase-workspace:
+kdebase-workspace:
+kdebase-workspace:
diff --git a/kde/kdebase-workspace/xinit/xinitrc.kde b/kde/kdebase-workspace/xinit/xinitrc.kde
new file mode 100755
index 0000000..a33eb06
--- /dev/null
+++ b/kde/kdebase-workspace/xinit/xinitrc.kde
@@ -0,0 +1,32 @@
+#!/bin/sh
+# $XConsortium: xinitrc.cpp,v 1.4 91/08/22 11:41:34 rws Exp $
+
+userresources=$HOME/.Xresources
+usermodmap=$HOME/.Xmodmap
+sysresources=/etc/X11/xinit/.Xresources
+sysmodmap=/etc/X11/xinit/.Xmodmap
+
+# merge in defaults and keymaps
+
+if [ -f $sysresources ]; then
+ xrdb -merge $sysresources
+fi
+
+if [ -f $sysmodmap ]; then
+ xmodmap $sysmodmap
+fi
+
+if [ -f $userresources ]; then
+ xrdb -merge $userresources
+fi
+
+if [ -f $usermodmap ]; then
+ xmodmap $usermodmap
+fi
+
+# Start the window manager:
+if [ -z "$DESKTOP_SESSION" -a -x /usr/bin/ck-launch-session ]; then
+ ck-launch-session startkde
+else
+ startkde
+fi
diff --git a/kde/kdebase/config/kdeglobals b/kde/kdebase/config/kdeglobals
new file mode 100644
index 0000000..25d4461
--- /dev/null
+++ b/kde/kdebase/config/kdeglobals
@@ -0,0 +1,4 @@
+[General]
+XftAntialias=true
+XftHintStyle=hintmedium
+XftSubPixel=none
diff --git a/kde/kdebase/doinst.sh.gz b/kde/kdebase/doinst.sh.gz
new file mode 100644
index 0000000..13ab96f
--- /dev/null
+++ b/kde/kdebase/doinst.sh.gz
Binary files differ
diff --git a/kde/kdebase/kdebase.SlackBuild b/kde/kdebase/kdebase.SlackBuild
new file mode 100755
index 0000000..89ff3a5
--- /dev/null
+++ b/kde/kdebase/kdebase.SlackBuild
@@ -0,0 +1,112 @@
+#!/bin/sh
+
+# Copyright 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-kdebase
+
+# Set the config option variables if they are not already set:
+if [ -r ../KDE.options ]; then
+ . ../KDE.options
+fi
+
+# The global options may be overridden here (if needed):
+if [ -r ./local.options ]; then
+ . ./local.options
+fi
+
+# Avoid a version number in .la files:
+if [ -d /usr/lib${LIBDIRSUFFIX}/qt ]; then
+ QTDIR=/usr/lib${LIBDIRSUFFIX}/qt
+fi
+
+rm -rf $PKG
+mkdir -p $PKG/usr
+cd $TMP
+echo "Building kdebase-$VERSION..."
+tar xvf $CWD/../src/kdebase-$VERSION.tar.?z* || exit 1
+cd kdebase-$VERSION
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ $KDE_OPT_ARGS \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_BUILD_TYPE=Release \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DMAN_INSTALL_DIR=/usr/man \
+ -DSYSCONF_INSTALL_DIR=/etc/kde \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DRUN_KAPPFINDER=ON \
+ ..
+ make $NUMJOBS || exit 1
+ make install DESTDIR=$PKG || exit 1
+cd -
+
+if [ -d $PKG/usr/man ]; then
+ gzip -9 $PKG/usr/man/man?/*
+fi
+
+# Add profile scripts
+mkdir -p $PKG/etc/profile.d
+cat $CWD/profile.d/kde.sh | sed -e "s#/lib/#/lib${LIBDIRSUFFIX}/#" \
+ > $PKG/etc/profile.d/kde.sh
+cat $CWD/profile.d/kde.csh | sed -e "s#/lib/#/lib${LIBDIRSUFFIX}/#" \
+ > $PKG/etc/profile.d/kde.csh
+chmod 0755 $PKG/etc/profile.d/*
+
+# "konsole -ls" is no longer valid syntax for konsole, even though it's
+# still documented in the help manual. Here's a way to get the same
+# thing, and it works here, but I honestly don't know how it will act
+# everywhere with every shell. I just know it works with bash and ksh
+sed -i -e 's/Exec=konsole/Exec=konsole -e $SHELL -l/' \
+ $PKG/usr/share/applications/kde4/konsole.desktop
+
+## I find this a little bit too bright... <change by pjv>
+## Change the konsole defaults to look like the real Linux console:
+#sed -i 's/ColorScheme=Linux/ColorScheme=WhiteOnBlack/' \
+# $PKG/usr/share/apps/konsole/Shell.profile
+
+mkdir -p $PKG/usr/doc/kdebase-$VERSION
+cp -a AUTHORS COPYING* README $PKG/usr/doc/kdebase-$VERSION || true
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/kdebase-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/kde/kdebase/profile.d/kde.csh b/kde/kdebase/profile.d/kde.csh
new file mode 100755
index 0000000..a09579b
--- /dev/null
+++ b/kde/kdebase/profile.d/kde.csh
@@ -0,0 +1,12 @@
+#!/bin/csh
+# KDE additions:
+if ( ! $?KDEDIRS ) then
+ setenv KDEDIRS /usr
+endif
+setenv PATH ${PATH}:/usr/lib/kde4/libexec
+
+if ( $?XDG_CONFIG_DIRS ) then
+ setenv XDG_CONFIG_DIRS ${XDG_CONFIG_DIRS}:/etc/kde/xdg
+else
+ setenv XDG_CONFIG_DIRS /etc/xdg:/etc/kde/xdg
+endif
diff --git a/kde/kdebase/profile.d/kde.sh b/kde/kdebase/profile.d/kde.sh
new file mode 100755
index 0000000..6f0199e
--- /dev/null
+++ b/kde/kdebase/profile.d/kde.sh
@@ -0,0 +1,13 @@
+#!/bin/sh
+# KDE additions:
+KDEDIRS=/usr
+export KDEDIRS
+PATH="$PATH:/usr/lib/kde4/libexec"
+export PATH
+if [ ! "$XDG_CONFIG_DIRS" = "" ]; then
+ XDG_CONFIG_DIRS=$XDG_CONFIG_DIRS:/etc/kde/xdg
+else
+ XDG_CONFIG_DIRS=/etc/xdg:/etc/kde/xdg
+fi
+export XDG_CONFIG_DIRS
+
diff --git a/kde/kdebase/slack-desc b/kde/kdebase/slack-desc
new file mode 100644
index 0000000..bf91423
--- /dev/null
+++ b/kde/kdebase/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+kdebase: kdebase (KDE core applications and files)
+kdebase:
+kdebase: This package provides the core applications and infrastructure files
+kdebase: for the KDE Plasma Desktop.
+kdebase:
+kdebase:
+kdebase:
+kdebase:
+kdebase:
+kdebase:
+kdebase: